CommitTaxonomyIndexTask (Lucene 10.5.0 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.tasks, class: CommitTaxonomyIndexTask

Package org.apache.lucene.benchmark.byTask.tasks

# Class CommitTaxonomyIndexTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.CommitTaxonomyIndexTask

All Implemented Interfaces:
  `Cloneable`

public class CommitTaxonomyIndexTask extends PerfTask
Commits the Taxonomy Index.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `logStep, NEW_LINE, params, stopNow`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommitTaxonomyIndexTask(PerfRunData runData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doLogic()`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task.

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, supportsParams, tearDown, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CommitTaxonomyIndexTask

    public CommitTaxonomyIndexTask(PerfRunData runData)

- ## Method Details

  - ### doLogic

    public int doLogic() throws Exception
    Description copied from class: `PerfTask`
    Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
    Specified by:
      `doLogic` in class `PerfTask`
    Returns:
      number of work items done by this task.
    Throws:
      `Exception`